EDIT - bug #8321

Namepage shows wrong taxa as related to the name
05/31/2019 09:13 PM - Wolf-Henning Kusber

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.8

Severity: normal Found in Version:

Description

Follow up to ticket bug #8231

https://www.phycobank.org/cdm_dataportal/name/39908030-32e3-400c-b6c0-91aedaie810a/null/null/
Eunotia krammeri

Eunotia krammeri Kulikovskiy, Lange-Bert., Genkal & Witkowski in Polish Bot. J. 55(1): 102, 103, pl. 7, fig. 1-19. 2010
is replaced synonym for Eunotia kurtkrammeri Kulikovskiy, Lange-Bert., Genkal & Witkowski,

Taxa for this name:

Eunotia krammeri Metzeltin & Lange-Bert. in Iconogr. Diatomol. 5: 64. 1998

The problem: Eunotia krammeri exists two times as name, one time as taxon (IAPT import)

The name Eunotia krammeri Kulikovskiy et al. 2010, nom. illeg. was replaced by Eunotia kurtkrammeri Kulikovskiy et al. 20127
The taxon of name Eunotia krammeri Metzeltin & Lange-Bert. 1998 is linked. Why? A misuse of CDM or a link by the name string
excluding the authors.

To make clear that

Eunotia krammeri Kulikovskiy, Lange-Bert., Genkal & Witkowski in Polish Bot. J. 55(1): 102, 103, pl. 7, fig. 1-19. 2010
is illegitimate, | tried to put in "nom. illeg." with the respective reason.

Unlocking the published registration did not allow to insert a status and status statement.

Switching to "curation" allow to insert a status and status statement and save it.

The Registration was set to the new date :( but the new status was not shown in the protal.

see: Registration Id: http:/phycobank.org/101370

We should discuss if this is a single case or an issue.

Associated revisions

Revision 67c8f20e - 06/04/2019 12:40 PM - Andreas Kohlbecker

ref #8321 implementing page by restriction method to allow for flexible web service queries, also protecting unpublished taxa and names ref #3560

Revision fb308159 - 06/04/2019 05:52 PM - Andreas Kohlbecker

fix #8321 finding taxa for a given name by matching whith the whole titleCache

Revision 76eaf322 - 06/27/2019 02:26 PM - Andreas Kohlbecker

ref #8321 cleaning up cotroller code

History

#1 - 05/31/2019 09:16 PM - Wolf-Henning Kusber
- Project changed from EDIT to PhycoBank
- Target version deleted (Unassigned CDM tickets)

#2 - 06/04/2019 05:49 PM - Andreas Kohlbecker

- Tracker changed from feature request to bug

- Project changed from PhycoBank to EDIT

- Subject changed from Homotypic synonyms vs. taxa to Namepage shows wrong taxa as related to the name
- Category set to cdm-dataportal

- Priority changed from New to Highest
https://dev.e-taxonomy.eu/redmine/issues/8231
https://www.phycobank.org/cdm_dataportal/name/39908030-32e3-400c-b6c0-91aeda1e810a/null/null/
http://phycobank.org/101370

- Target version set to Release 5.8

- Severity set to normal

#3 - 06/04/2019 05:53 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-dataportal|fb308159d88b11b398e104e0e38231407049a7fe.

#4 - 06/04/2019 05:54 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

please review

#5 - 06/26/2019 04:59 PM - Wolf-Henning Kusber
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 90

Both Eunotia krammeri with different Author teams are not mixed anymore. The described problem is solved and the ticket can be closed.

One question: If | need the non-names relation, | should use the TaxEditor, correct?

#6 - 07/16/2019 12:47 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 90 to 100

Wolf-Henning Kusber wrote:

Both Eunotia krammeri with different Author teams are not mixed anymore. The described problem is solved and the ticket can be closed.

Ok, I will close this ticket

One question: If | need the non-names relation, | should use the TaxEditor, correct?

Please let us discuss this in a call or create another issue if this problem still persists.
